Subject: Re: [PATCH] gitweb: fix "next" link on bottom of commit log page

From: Jakub Narebski <[email-masked]>
Date: Fri, 30 May 2008 01:12:49 -0700 (PDT)

Gerrit Pape <[email-masked]> writes:

> When viewing a gitweb repository commit log, the "next" link at the top
> of the page works as expected, the "next" link on the bottom of the page
> has a=search instead of a=log and thus fails to get you to the next
> page.  This commit replaces the bottom "next" link with the same links
> as shown at the top of the page.

> -		print $cgi->a({-href => href(-replay=>1, page=>$page+1),
> -			       -accesskey => "n", -title => "Alt-n"}, "next");

Should not happen: href(-replay=>1, ...) should have the same value
of 'a' parameter as the page it is in, so it should be 'log' not 'search'.

Will investigate.

-- 
Jakub Narebski
Poland
ShadeHawk on #git